org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.DropWhile

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.DropWhile
    extends Stage

A drop while stage.

The given predicate must be invoked on each element consumed, until it returns `true`. Each element that it returns `true` for must be dropped, and once it returns `false`, that element that it returned `false` for, and all subsequent elements, must be emitted. The predicate must not be invoked after it returns `false` the first time.

If upstream terminates for any reason before the predicate returns `false`, downstream must also be terminated.

Any `RuntimeException` thrown by the predicate must be propagated downstream as an error, and upstream must be cancelled. Any subsequent elements received from upstream before the cancellation signal is handled must be dropped.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`Predicate<?>` `getPredicate()` The predicate.

### Method Detail

#### getPredicate

    Predicate<?> getPredicate()

The predicate.

Returns:
  The predicate.